
\ProvidesClass{liuletter}[2006/12/01 by Ola Leifler]
\typeout{-- LiU letter style.}
\NeedsTeXFormat{LaTeX2e}


\DeclareOption{english}{\PassOptionsToPackage{english}{babel}}
\DeclareOption{swedish}{\PassOptionsToPackage{swedish}{babel}}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{letter}}
\ProcessOptions
\LoadClass{letter}
\RequirePackage{graphicx}
\RequirePackage[latin1]{inputenc}
\RequirePackage{fancyhdr}
\RequirePackage{lastpage}
\RequirePackage{ifthen}

%\RequirePackage{vpage}
\RequirePackage[papersize={210mm,297mm}]{geometry}
%\RequirePackage{chngpage}

%\marginsize{2cm}{3cm}{1cm}{1cm}
\setlength{\textheight}{15cm}
\pagestyle{fancyplain}


\def\rcpt#1{\def\recipient{#1}}
\def\from#1{\def\sender{#1}}
\def\dept#1{\def\department{#1}}
\def\phonenumber#1{\def\phone{#1}}
\def\loginid#1{\def\login{#1}}

\def\liulogo{\includegraphics[height=2.5cm]{liulogonew}}

\setlength{\headheight}{155pt}

\lhead{\fancyplain{%
    \vspace{5cm}
    \recipient
}{}}

\chead{\fancyplain{}{}}

\def\rheader{%
  % \par
  % \vspace{1cm}
  \begin{tabular}{r}
    \liulogo\\
    \\
    \sender\\
    \number\year-\number\month-\number\day\\
    \thepage (\pageref{LastPage})
  \end{tabular}
  \vspace*{\fill}
}

\rhead{\fancyplain{\rheader}{\rheader}}

\lfoot{\fancyplain{}{}}
\cfoot{\fancyplain{}{}}

\rfoot{\fancyplain{%
  \rule{.4\textwidth}{1pt}\\
  \begin{tabular}[h]{r}
    \bfseries{Institutionen fr datavetenskap}\\
    \department\\
    581 83 Linkping\\
    Tel: 013 - 28 \phone\\
    Fax: 013 - 14 22 31\\
    E-post: \texttt{\login$@$ida.liu.se}\\
    WWW: \texttt{http://www.ida.liu.se/$\sim$\login /}\\
  \end{tabular}
}{%
  \rule{.4\textwidth}{1pt}\\
  \begin{tabular}{r}
    \bfseries{Institutionen fr datavetenskap}\\
    \department\\
    581 83 Linkping\\
  \end{tabular}
}}

%\newcommand
%\setpapersize{Afour}
%\setmarginsrb{2cm}{1cm}{2cm}{1cm}{125pt}{10pt}{100pt}{10pt}
\AtBeginDocument{%
\thispagestyle{plain}
}

